Bullet Collision Detection & Physics Library: btCompoundCompoundLeafCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCompoundCompoundLeafCallback Struct Reference
Inheritance diagram for btCompoundCompoundLeafCallback:
[legend]
Collaboration diagram for btCompoundCompoundLeafCallback:
[legend]

## Public Member Functions
| btCompoundCompoundLeafCallback (const btCollisionObjectWrapper *compound1ObjWrap, const btCollisionObjectWrapper *compound0ObjWrap, btDispatcher *dispatcher, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut, btHashedSimplePairCache *childAlgorithmsCache, btPersistentManifold *sharedManifold)
void | Process (const btDbvtNode *leaf0, const btDbvtNode *leaf1)
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Public Attributes
int | m_numOverlapPairs
const btCollisionObjectWrapper * | m_compound0ColObjWrap
const btCollisionObjectWrapper * | m_compound1ColObjWrap
btDispatcher * | m_dispatcher
const btDispatcherInfo & | m_dispatchInfo
btManifoldResult * | m_resultOut
class btHashedSimplePairCache * | m_childCollisionAlgorithmCache
btPersistentManifold * | m_sharedManifold

## Detailed Description

Definition at line 89 of file btCompoundCompoundCollisionAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ btCompoundCompoundLeafCallback()

btCompoundCompoundLeafCallback::btCompoundCompoundLeafCallback | ( | const btCollisionObjectWrapper * | compound1ObjWrap,
|  | const btCollisionObjectWrapper * | compound0ObjWrap,
|  | btDispatcher * | dispatcher,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut,
|  | btHashedSimplePairCache * | childAlgorithmsCache,
|  | btPersistentManifold * | sharedManifold
| ) |  |
| inline

Definition at line 103 of file btCompoundCompoundCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ Process()

void btCompoundCompoundLeafCallback::Process | ( | const btDbvtNode * | leaf0,
|  | const btDbvtNode * | leaf1
| ) |  |
| inline

Definition at line 114 of file btCompoundCompoundCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_childCollisionAlgorithmCache

class btHashedSimplePairCache* btCompoundCompoundLeafCallback::m_childCollisionAlgorithmCache

Definition at line 99 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_compound0ColObjWrap

const btCollisionObjectWrapper* btCompoundCompoundLeafCallback::m_compound0ColObjWrap

Definition at line 93 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_compound1ColObjWrap

const btCollisionObjectWrapper* btCompoundCompoundLeafCallback::m_compound1ColObjWrap

Definition at line 94 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_dispatcher

btDispatcher* btCompoundCompoundLeafCallback::m_dispatcher

Definition at line 95 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_dispatchInfo

const btDispatcherInfo& btCompoundCompoundLeafCallback::m_dispatchInfo

Definition at line 96 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_numOverlapPairs

int btCompoundCompoundLeafCallback::m_numOverlapPairs

Definition at line 91 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_resultOut

btManifoldResult* btCompoundCompoundLeafCallback::m_resultOut

Definition at line 97 of file btCompoundCompoundCollisionAlgorithm.cpp.

## ◆ m_sharedManifold

btPersistentManifold* btCompoundCompoundLeafCallback::m_sharedManifold

Definition at line 101 of file btCompoundCompoundCollisionAlgorithm.cpp.

The documentation for this struct was generated from the following file:

- btCompoundCompoundCollisionAlgorithm.cpp